Subject: bug#19481: package.el: support .tar archives featuring a pax_global_header entry

From: Ivan Shmakov <[email-masked]>
Date: Thu, 01 Jan 2015 18:49:13 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov  Date: Thu, 01 Jan 2015 17:55:46 +0000

[…]

 >> * lisp/emacs-lisp/package.el (package-untar-buffer): Ignore archive
 >> entries with link type being 55.
 >> (package-tar-file-info): Consider the second file name in the
 >> archive if the first one has no directory component.

 >> * lisp/tar-mode.el (tar-untar-buffer): Ignore archive entries with
 >> link type being 55 (pax global extended header.)

 > What about type 72?

	Frankly, – no idea; I don’t seem to recall seeing one so far.

	In order not to place such checks all over the code, we may
	want either a separate tar-header-service-p function for the
	tar-untar-buffer callers to use to decide whether the file will
	be extracted or not, /or/ an optional filter function argument
	to tar-untar-buffer for the /caller/ to specify which files to
	filter out.

 > (See tar-mode.el for the details.)

	It doesn’t seem to provide anything beyond the name of the type.

-- 
FSF associate member #7257  np. Helden — Apocalyptica   … 3013 B6A0 230E 334A